# Copyright (c) 2012 Canonical Ltd
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with this program. If not, see
# <http://www.gnu.org/licenses/>.

__metaclass__ = type

from unittest import TestCase

from webtest import TestApp

from grackle.server.wsgi import app


class TestRoot(TestCase):

    def test_get(self):
        test_app = TestApp(app.wsgifunc())
        r = test_app.get('/')
        self.assertEqual(200, r.status_int)
        r.mustcontain('Service endpoint for Grackle.')


class TestArchive(TestCase):

    def test_get(self):
        test_app = TestApp(app.wsgifunc())
        r = test_app.get('/archive/foo')
        self.assertEqual(200, r.status_int)
        r.mustcontain('Service for archive foo.')
